### Hierarchy

- TransactWriteRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- params

### Methods

- exec
- execFullResponse
- returnConsumedCapacity
- returnItemCollectionMetrics
- transact

## Constructors

### constructor

- new TransactWriteRequest(): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:7

  #### Returns TransactWriteRequest

## Properties

### Private dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

- Defined in dynamo/transactwrite/transact-write.request.ts:7

### params

params: TransactWriteItemsInput

- Defined in dynamo/transactwrite/transact-write.request.ts:6

## Methods

### exec

- exec(): Promise<void>

- - Defined in dynamo/transactwrite/transact-write.request.ts:42

  #### Returns Promise<void>

### execFullResponse

- execFullResponse(): Promise<TransactWriteItemsOutput>

- - Defined in dynamo/transactwrite/transact-write.request.ts:38

  #### Returns Promise<TransactWriteItemsOutput>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:16

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns TransactWriteRequest

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:21

  #### Parameters

  - ##### returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics

  #### Returns TransactWriteRequest

### transact

- transact(...writeOperations: TransactOperation[]): TransactWriteRequest

- - Defined in dynamo/transactwrite/transact-write.request.ts:26

  #### Parameters

  - ##### Rest ...writeOperations: TransactOperation[]

  #### Returns TransactWriteRequest

Generated using TypeDoc